# getArtifacts

abstract fun getArtifacts(type: Class<out Artifact>): Set<ArtifactResult>

Returns the artifacts of the specified type that belong to this component. Includes resolved and unresolved artifacts (if any).

The elements of the returned collection are declared as ArtifactResult, however the artifact instances will also implement one of the following instances:

- ResolvedArtifactResult for artifacts which were successfully resolved.
- UnresolvedArtifactResult for artifacts which could not be resolved for some reason.

#### Return

the artifacts of this component with the specified type, or an empty set if no artifacts of the type exist.